=== debian/changelog ===
wxwidgets3.0 (3.0.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/ed88188be7e97a0503f3471f7b0452740b732902.patch:
    - fix for upstream issue breaking poedit2 package (Closes: #860043).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Apr 2017 08:09:24 +0200

wxwidgets3.0 (3.0.2+dfsg-3) unstable; urgency=medium

  * Force building as C++98 for now to fix FTBFS of qutemol and perhaps
    other rdeps since recent binNMU with a GCC version which defaults
    to C++11.  Patch from Adrian Bunk.  (Closes: #856350)

 -- Olly Betts <olly@survex.com>  Wed, 01 Mar 2017 14:15:40 +1300

wxwidgets3.0 (3.0.2+dfsg-2) unstable; urgency=medium

  * ACK NMUs.
  * debian/rules: Remove non-functional --with-sdl from configure invocation,
    reported by gregory hainaut. (Closes: #802770)
  * New patch Fix-STC-compilation-with-GCC6.patch to fix FTBFS with GCC6.
    (Closes: #828926)
  * Note conformance with Standards-Version 3.9.8.

 -- Olly Betts <olly@survex.com>  Fri, 29 Jul 2016 11:57:57 +1200

wxwidgets3.0 (3.0.2+dfsg-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Define wxIsNaN() as std::isnan() in C++11 mode. This fixes the build
    failure of Audacity (Closes: #824264, LP: #1581807)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 14 May 2016 14:41:06 +0200

wxwidgets3.0 (3.0.2+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control.in,
    debian/rules,
    debian/patches/gst1.0.patch:
    + Port to GStreamer 1.x (Closes: #785924), patch based on the one from
      http://trac.wxwidgets.org/ticket/14976 with a lot of changes.
  * debian/control.in:
    + Remove obsolete build-depends on ESD and GConf.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 21 Feb 2016 11:21:28 +0200

wxwidgets3.0 (3.0.2+dfsg-1.2) unstable; urgency=medium

  * Non maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 12:55:21 +0200

wxwidgets3.0 (3.0.2+dfsg-1.1) experimental; urgency=medium

  * Non maintainer upload.
  * Rename library packages, follow-up for the libstdc++6 ABI transition.
    Addresses: #791311.
  * Add Breaks/Replaces to the old library packages.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 13:26:47 +0200

wxwidgets3.0 (3.0.2+dfsg-1) unstable; urgency=medium

  * Repack sources to remove prebuilt .swf and .chm files without sources
    (or without suitable sources).  (Closes: #788339)
  * Restore the webview packages for now - boinc is still using them (I
    failed to pass -R to dak rm when checking if removing it would break
    anything).  (Reopens: #790222, #786986)
  * Don't package files from the examples which are only useful on other
    platforms.  A side benefit is that this moves us closer to a reproducible
    build as "chart.icns" seems to trigger a reproducibility issue in gzip.

 -- Olly Betts <olly@survex.com>  Thu, 02 Jul 2015 14:05:32 +1200

wxwidgets3.0 (3.0.2-3) unstable; urgency=medium

  * debian/rules: Remove the kernel version from WXWIN_OS_DESCRIPTION as it
    makes the build less reproducible.
  * Give a warning instead of an error if the compiler ABI used to compile
    user code is different to that used to compile wxWidgets, which should
    fix GCC5 FTBFS for many of wx's reverse build dependencies.
  * Stop building with --enable-webview as the only package which was using
    it (boinc) no longer is, and it uses an obsolete version of webkit.
    Updating to a supported version would require switching to gtk3, which
    we probably aren't ready for yet. (Closes: #790222, #786986)
  * Call dh_autotools-dev_restoreconfig before dh_clean to avoid debhelper
    logs ending up in the source package.

 -- Olly Betts <olly@survex.com>  Mon, 29 Jun 2015 12:32:37 +1200

wxwidgets3.0 (3.0.2-2) unstable; urgency=medium

  [ Norimitsu Sugimoto, Gianfranco Costamagna ]
  * build with wx3.0-doc package. (Closes: #737050)

  [ Olly Betts ]
  * Make the build reproducible - new patch: reproducible-build.patch
  * Standards-Version: 3.9.6 (no changes required).
  * Drop the version requirement in "Suggests" from wx3.0-examples to
    libwxgtk3.0-dev - the exact version really isn't important, and using
    "(= ${binary:Version})" isn't satisfiable after a binNMU.
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig to
    manage updating config.guess and config.sub.

 -- Olly Betts <olly@survex.com>  Wed, 20 May 2015 15:55:38 +1200
