## wxwidgets3.0 3.0.3.1+dfsg2

=== debian/changelog ===
wxwidgets3.0 (3.0.3.1+dfsg2-1) unstable; urgency=medium

  * Drop the webview packages as they require an obsolete webkitgtk version.
    To get them back, we'll need to migrate to GTK+ 3 which is a longer term
    project.  (Closes: #790222)
  * README.Debian: Update for -dbg to dbgsym change, and to indicate that we
    now have a wx3.0-doc package.
  * debian/control.in: Note conformance with Standards-Version 4.1.0.
  * Update repack of sources to remove prebuilt Java .class files without
    sources.

 -- Olly Betts <olly@survex.com>  Fri, 29 Sep 2017 09:46:36 +1300

wxwidgets3.0 (3.0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + debian/patches/: Refresh patches and drop those incorporated upstream:
      - gst1.0.patch
      - Define-wxIsNaN-as-std-isnan-in-C-11-mode.patch
      - Fix-STC-compilation-with-GCC6.patch
      - ed88188be7e97a0503f3471f7b0452740b732902.patch
    + debian/rules: Workaround missing execute bit on docs/doxygen/regen.sh
      in 3.0.3.1 (already fixed in upstream release branch).
  * debian/watch: Upstream now host releases on github.
  * debian/repack.sh: Make agnostic to compression used on upstream tarballs.
  * debian/control.in: Add graphviz to BDI. (Closes: #850557)
  * debian/control.in,debian/rules: Drop -dbg debug package now we have
    automatically generated debug packages.
  * debian/rules: Drop --without-gnomeprint from GTK_CONFIGURE_OPTIONS as it
    no longer does anything - gnomeprint support was dropped pre-3.0.0.
  * debian/patches/wx-config-conditionalise-webview-in-std.patch: If the -dev
    package for webview isn't installed, make wx-config behave as if webview
    was disabled at build time. (Closes: #786986)
  * debian/patches/warn-for-compiler-abi-mismatch.patch: Don't warn, as that
    can result in a pop up dialog with some applications. (Closes: #844486).
    Fix broken code in relaxed string comparison in patch which has worked so
    far mostly by luck.
  * debian/control.in: Note conformance with Standards-Version 4.0.0.
  * debian/control.in: Remove links to upstream homepage from long
    descriptions.
  * Update URLs pointing to upstream website and trac to use https.
  * debian/control.in: Use https: instead of git: for Vcs-Git.
  * debian/control.in: Update Vcs-Browser to use cgit URL instead of gitweb,
    as the gitweb URL now just redirects to the cgit one.
  * debian/rules: Use $(DEB_SOURCE) instead of calling dpkg-parsechangelog
    directly.

 -- Olly Betts <olly@survex.com>  Wed, 26 Jul 2017 11:50:14 +1200
