=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: wxwidgets3.0
 Section: libs
 Priority: optional
-Build-Depends-indep: doxygen
+Build-Depends-indep: doxygen, graphviz
 Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
  g++ (>= 4:5.2),
  zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
  autotools-dev, autoconf, libexpat1-dev, dpkg-dev (>= 1.16.1~), libxt-dev,
  libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
- libwebkitgtk-dev, libnotify-dev
+ libnotify-dev
 Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
 Uploaders: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/freewx/wx.git -b wx3.0-debian
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=freewx/wx.git;a=shortlog;h=refs/heads/wx3.0-debian
-Homepage: http://www.wxwidgets.org/
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/freewx/wx.git -b wx3.0-debian
+Vcs-Browser: https://anonscm.debian.org/cgit/freewx/wx.git/log/?id=refs/heads/wx3.0-debian
+Homepage: https://www.wxwidgets.org/
 
 Package: libwxbase3.0-0v5
 Architecture: any
@@ -55,28 +55,6 @@
  This package provides the files needed to compile apps using the wxBase
  library.
 
-Package: libwxbase3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxbase3.0-0v5 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxbase3.0-0-dbg
-Replaces: libwxbase3.0-0-dbg
-Description: debugging symbols for the wxBase library
- This package contains detached debugging symbols for the wxBase library
- (part of wxWidgets).
- .
- wxBase is a collection of C++ classes providing basic data structures
- (strings, lists, arrays), powerful wxDateTime class for date manipulations,
- portable wrappers around many OS-specific functions allowing the same
- program to work for all supported platforms, wxThread class for writing
- multithreaded programs, and much more.
- .
- wxBase currently supports the following platforms: Generic Unix (Linux,
- FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
-
 Package: libwxgtk3.0-0v5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -87,7 +65,7 @@
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).  For more information see http://wxwidgets.org
+ unpopular ones as well).
  .
  This package provides the shared libraries needed to run programs linked
  against wxWidgets.  To use the (optional) glcanvas library you will need
@@ -109,23 +87,6 @@
  .
  This package also provides the wx-config script.
 
-Package: libwxgtk3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxgtk3.0-0v5 (= ${binary:Version}), libwxbase3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxgtk3.0-0-dbg
-Replaces: libwxgtk3.0-0-dbg
-Description: debugging symbols for the wxGTK GUI toolkit library
- This package contains detached debugging symbols for the wxGTK library
- (part of wxWidgets).
- .
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
-
 Package: libwxgtk-media3.0-0v5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -139,27 +100,10 @@
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).  For more information see http://wxwidgets.org
+ unpopular ones as well).
  .
  This package provides the media shared libraries needed to run programs linked
  against libwx_gtk2u_media.
-
-Package: libwxgtk-media3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxgtk-media3.0-0v5 (= ${binary:Version}), libwxgtk3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxgtk-media3.0-0-dbg
-Replaces: libwxgtk-media3.0-0-dbg
-Description: debugging symbols for the wxGTK media library
- This package contains detached debugging symbols for the wxGTK media library
- (part of wxWidgets).
- .
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
 
 Package: libwxgtk-media3.0-dev
 Architecture: any
@@ -173,52 +117,6 @@
  .
  This package provides files needed to compile wxWidgets programs using the
  wxgtk-media library.
-
-Package: libwxgtk-webview3.0-0v5
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
-Breaks: libwxgtk-webview3.0-0
-Replaces: libwxgtk-webview3.0-0
-Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).  For more information see http://wxwidgets.org
- .
- This package provides the webview shared libraries needed to run programs
- linked against libwx_gtk2u_webview.
-
-Package: libwxgtk-webview3.0-0v5-dbg
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Section: debug
-Priority: extra
-Depends: libwxgtk-webview3.0-0v5 (= ${binary:Version}), libwxgtk3.0-0v5-dbg (= ${binary:Version}), ${misc:Depends}
-Suggests: libwebkitgtk-3.0-0-dbg
-Multi-Arch: same
-Breaks: libwxgtk-webview3.0-0-dbg
-Replaces: libwxgtk-webview3.0-0-dbg
-Description: debugging symbols for the wxGTK webview library
- This package contains detached debugging symbols for the wxGTK webview library
- (part of wxWidgets).
- .
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
-
-Package: libwxgtk-webview3.0-dev
-Architecture: any
-Section: libdevel
-Depends: wx-common, wx3.0-headers (= ${binary:Version}), libwxgtk-webview3.0-0v5 (= ${binary:Version}), libwxgtk3.0-dev (= ${binary:Version}), ${misc:Depends}
-Suggests: wx3.0-doc, gettext
-Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
- wxWidgets (formerly known as wxWindows) is a class library for C++ providing
- GUI components and other facilities on several popular platforms (and some
- unpopular ones as well).
- .
- This package provides files needed to compile wxWidgets programs using the
- wxgtk-webview library.
 
 Package: wx-common
 Architecture: any
