=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 export DH_OPTIONS
 
+include /usr/share/dpkg/pkg-info.mk
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -37,7 +39,7 @@
 # descriptive alphanumeric name will do for FLAVOUR.  This will allow
 # a custom build to be installed alongside the mainline ones without
 # conflict.
-DEBIAN_WXFLAVOUR := $(shell dpkg-parsechangelog | sed -ne '/^Source: /s@.*wxwidgets[0-9.]\+-\?\(.*\)@\1@p')
+DEBIAN_WXFLAVOUR := $(word 2,$(subst -, ,$(DEB_SOURCE)))
 
 
 wx_major_version_number := $(shell sed -n 's/^wx_major_version_number=//p' configure.in)
@@ -85,13 +87,11 @@
     --enable-graphics_ctx \
     --enable-mediactrl \
     --enable-sound \
-    --enable-webview \
     --with-gtk \
     --with-libjpeg=sys \
     --with-libpng=sys \
     --with-libtiff=sys \
     --with-opengl \
-    --without-gnomeprint \
     --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 MSW_CONFIGURE_OPTIONS = \
@@ -107,20 +107,13 @@
 
 # Packages to build:
 package_wxbase_lib      := libwxbase$(sorelease)
-package_wxbase_dbg      := libwxbase$(sorelease)-dbg
 package_wxbase_dev      := libwxbase$(release)-dev
 
 package_gtk_lib         := libwxgtk$(sorelease)
-package_gtk_dbg         := libwxgtk$(sorelease)-dbg
 package_gtk_dev         := libwxgtk$(release)-dev
 
 package_gtkmedia_lib    := libwxgtk-media$(sorelease)
-package_gtkmedia_dbg    := libwxgtk-media$(sorelease)-dbg
 package_gtkmedia_dev    := libwxgtk-media$(release)-dev
-
-package_gtkwebview_lib    := libwxgtk-webview$(sorelease)
-package_gtkwebview_dbg    := libwxgtk-webview$(sorelease)-dbg
-package_gtkwebview_dev    := libwxgtk-webview$(release)-dev
 
 package_headers         := wx$(release)-headers
 package_i18n            := wx$(release)-i18n
@@ -183,7 +176,6 @@
 install_all_arch = install-wxbase-lib install-wxbase-dev \
                    install-gtk-lib install-gtk-dev        \
 		   install-gtkmedia-lib install-gtkmedia-dev \
-		   install-gtkwebview-lib install-gtkwebview-dev \
                    install-headers install-i18n
 
 ifndef DEBIAN_WX_DEFAULT_VERSION
@@ -222,3 +214,11 @@
 	@for f in doc-base; do                                               \
 		echo "generating control file $(package_doc).$$f";           \
 		sed -e 's/=V/$(release)/g' < debian/wx-doc.$$f               \
+			> debian/$(package_doc).$$f;                         \
+	done
+	@for f in examples; do                                               \
+		echo "generating control file $(package_examples).$$f";      \
+		cp debian/wx-examples.$$f debian/$(package_examples).$$f;    \
+	done
+	@for f in postinst prerm; do                                         \
+		echo "generating control file $(package_msw_dev).$$f";       \
