=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*$// \
  https://github.com/wxWidgets/wxWidgets/releases \
  /wxWidgets/wxWidgets/archive/v([0-9]+\.[0-9]*[02468]\.[0-9.]+)\.tar\.gz debian debian/repack.sh
